MP4(3)

NAME

MP4ConvertFromTrackTimestamp - Convert a timestamp from the track time scale to a specified time scale.

SYNTAX

#include <mp4.h>

u_int64_t MP4ConvertFromTrackTimestamp(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    MP4Timestamp timestamp,
    u_int32_t newTimeScale
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track from which the timestamp originates.

timestamp
    Specifies the timestamp that is to be converted.

newTimeScale
    Specifies the new time scale in ticks per second to which the timestamp should be converted.

RETURN VALUES

Upon success, the timestamp in the new time scale units. Upon error, 0xFFFFFFFFFFFFFFFF.

DESCRIPTION

MP4ConvertFromTrackTimestamp converts a timestamp such as a sample start time from the track time scale to another specified time scale. This can be used by a player application to map all track samples to a common time scale.

SEE ALSO

MP4(3) MP4ConvertToTrackTimestamp(3)